# Meson Player - an invisible audio player

Meson Player is a very convenient audio player if you don't need any flashy GUI to control the playback or manage playlists.
You just run it and then forget about it. The player is running in a background.
Switching tracks, volume control, loading and saving playlists, all of this can be done via global hotkeys.
Therefore, you can control the player while working in any application.


## Features

* almost no GUI (except a tray popup menu, but you can hide the tray icon as well)
* controlled via global hotkeys
* supports a lot of stream/tracker formats
* gapless playback
* additional formats support can be added by plugins
* supports Internet radio stations
* supports CUE sheets
* can control system audio volume
* can remove tracks to Trash
* a big variety of options allows to change the app's behavior and appearance
* Last.FM scrobbling


## Supported systems

* Ubuntu v19.10 64-bit (may not work on Wayland)
* Windows 10 v1909 64-bit
* OSX Catalina


## Download

https://sourceforge.net/projects/mesonplayer/files/mesonplayer/


## Quick start

1. Right-click on any folder with music or a playlist.
2. Choose "Open in Meson Player" from a context menu (on Linux this procedure may vary depending on your distro).


## Help

The complete manual can be found at manual/index.html.
Also you can open that manual from the application.
Choose Help > Manual from the tray context menu.


## Project support

If you want to help a project then the best you can do it is to report any bugs you found.
To submit a bug follow this link:
https://github.com/alkatrazstudio/meson-player/issues

If you have other suggestions on how to improve the project, for example, about new functionality, you can use the same link above.

Also, you can mail me directly.
<zxed@alkatrazstudio.net> - Alexey Parfenov


## Screenshots

![Meson Player on Kubuntu](https://mesonplayer.alkatrazstudio.net/screenshots/kubuntu-notification.png "Meson Player on Kubuntu")

![Meson Player on Ubuntu](https://mesonplayer.alkatrazstudio.net/screenshots/ubuntu-menu.png "Meson Player on Ubuntu")

![Meson Player on Manjaro Xfce](https://mesonplayer.alkatrazstudio.net/screenshots/manjaro-xfce-tooltip.png "Meson Player on Manjaro Xfce")

![Meson Player on Windows](https://mesonplayer.alkatrazstudio.net/screenshots/win-notification.png "Meson Player on Windows")

![Meson Player on OSX](https://mesonplayer.alkatrazstudio.net/screenshots/osx-notification.png "Meson Player on OSX")


## License

[GPLv3+](https://www.gnu.org/licenses/gpl.html)

(c) [Alkatraz Studio](https://alkatrazstudio.net), 2012
